WIN32-GUI-DEMOS(1)

NAME
win32-gui-demos - Perl Win32::GUI Demo Launcher application

SYNOPSIS
"C:\> win32-gui-demos"

OVERVIEW
See a list of all the demo scripts distributed with the Win32::GUI package, view their source code, and run them.

USING

  List of demos
After starting this application you should see all the sample code distributed with Win32::GUI and its related modules in the treeview to the left. The demos are grouped by the module they relate to. Generic samples are listed under the 'Misc' heading.

  Viewing sample code
Select a demo file name in the left treeview to see it's source-code in the right pane.

  Running the demos
With code loaded in the right pane, click the 'Run demo' button, or double-click the demo file name in the left treeview to run the sample itself.

The sample will start, with its own console window, so that you can see any output it may generate there.

This behaviour will hopefully changed in the future, to remove the console window when it is not used.

  Options
If there are no samples shown in the left treeview, then the options dialog will show you where this application is looking for them. It tries to determine this automatically, by looking at where Win32::GUI is installed. If you have performed a non-standard install you may need to edit this value.

  Other features
To see the source of this program itself, choose the 'Source' item from the File menu.

AUTHOR
Robert May (robertemay@users.sourceforge.net)

COPYRIGHT and LICENCE
Copyright Robert May, 2006.

This software is released under the same terms as Perl itself.